//---------------------------------------------------------------------------
#ifndef ClientH
#define ClientH

#include "sub_s.hh"
#include "pub_c.hh"


class Client: public _sk_Subscriber
{
    private:
	CORBA::String_var SubName;
    CSDateTimeBase LogOnTime;
    public:

	Client(const char *name=NULL) : _sk_Subscriber(name) {
		SubName = CORBA::string_dup(name);
        LogOnTime.val = static_cast<double>(Time());
	}

	~Client() {}

	char* get_name(){ return CORBA::string_dup(SubName); }

    CSDateTimeBase get_time() {return LogOnTime;}
	void receive_update(const Quote& q) {
		Form1->Memo1->Lines->Add("Received update: ");
        AnsiString s = q.name + " " + q.value;
		Form1->Memo1->Lines->Add(s);
	}
};

class ClientThread : public TThread{
public:
    ClientThread(bool inactive=false):TThread(inactive){}
    void __fastcall Execute();
};
//---------------------------------------------------------------------------
#endif
